--- old/smb.conf	2004-02-02 15:13:46.000000000 -0500
+++ new/smb.conf	2004-02-02 15:25:16.000000000 -0500
@@ -44,7 +44,6 @@
 # to IP addresses
 ;   name resolve order = lmhosts host wins bcast
 
-
 #### Debugging/Accounting ####
 
 # This tells Samba to use a separate log file for each machine
@@ -67,6 +66,13 @@
    panic action = /usr/share/samba/panic-action %d
 
 
+  guest account = smbguest
+  security = users
+  map to guest = bad user
+  printing = cups
+  printcap name = cups
+
+
 ####### Authentication #######
 
 # "security = user" is always a good idea. This will require a Unix account
@@ -172,15 +178,15 @@
 
 # By default, the home directories are exported read-only. Change next
 # parameter to 'yes' if you want to be able to write to them.
-   writable = no
+   writable = yes
 
 # File creation mask is set to 0700 for security reasons. If you want to
 # create files with group=rw permissions, set next parameter to 0775.
-   create mask = 0700
+   create mask = 0775
 
 # Directory creation mask is set to 0700 for security reasons. If you want to
 # create dirs. with group=rw permissions, set next parameter to 0775.
-   directory mask = 0700
+   directory mask = 0775
 
 # Un-comment the following and create the netlogon directory for Domain Logons
 # (you need to configure Samba to act as a domain controller too.)
@@ -193,7 +199,7 @@
 
 [printers]
    comment = All Printers
-   browseable = no
+   browseable = yes
    path = /tmp
    printable = yes
    public = no
@@ -207,7 +213,7 @@
    path = /var/lib/samba/printers
    browseable = yes
    read only = yes
-   guest ok = no
+   guest ok = yes
 # Uncomment to allow remote administration of Windows print drivers.
 # Replace 'ntadmin' with the name of the group your admin users are
 # members of.
@@ -235,3 +241,20 @@
 ;   preexec = /bin/mount /cdrom
 ;   postexec = /bin/umount /cdrom
 
+
+
+[IBM4312]
+	guest ok = yes
+	printer = IBM4312
+	comment = IBM Network Printer 12 (PCL)
+	printable = yes
+	path = /tmp
+
+
+[T]
+	comment = T drive
+        guest ok = no
+	valid users = rubys,rubyc
+	writeable = yes
+	path = /home/tdrive
+
